# ARBTextureBufferRange (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBTextureBufferRange

    java.lang.Object
      org.lwjgl.opengl.ARBTextureBufferRange

    public final class ARBTextureBufferRange

extends java.lang.Object

Field Summary
`static int` `GL_TEXTURE_BUFFER_OFFSET` Accepted by the <pname> parameter of GetTexLevelParameter:
`static int` `GL_TEXTURE_BUFFER_OFFSET_ALIGNMENT` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_TEXTURE_BUFFER_SIZE` Accepted by the <pname> parameter of GetTexLevelParameter:

Method Summary
`static void` `glTexBufferRange(int target, int internalformat, int buffer, long offset, long size)`
`static void` `glTextureBufferRangeEXT(int texture, int target, int internalformat, int buffer, long offset, long size)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_TEXTURE_BUFFER_OFFSET

    public static final int GL_TEXTURE_BUFFER_OFFSET

  Accepted by the <pname> parameter of GetTexLevelParameter:

  See Also:
    Constant Field Values

### GL_TEXTURE_BUFFER_SIZE

    public static final int GL_TEXTURE_BUFFER_SIZE

  Accepted by the <pname> parameter of GetTexLevelParameter:

  See Also:
    Constant Field Values

### GL_TEXTURE_BUFFER_OFFSET_ALIGNMENT

    public static final int GL_TEXTURE_BUFFER_OFFSET_ALIGNMENT

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

Method Detail

### glTexBufferRange

    public static void glTexBufferRange(int target,
                                        int internalformat,
                                        int buffer,
                                        long offset,
                                        long size)

### glTextureBufferRangeEXT

    public static void glTextureBufferRangeEXT(int texture,
                                               int target,
                                               int internalformat,
                                               int buffer,
                                               long offset,
                                               long size)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.